#### PyKDE - Python Bindings for KDE

# class KRandomSequence |
Table of contents
Modules
tdecore Classes
All Classes

Module | tdecore
Class | KRandomSequence
Inherits |

### methods

- KRandomSequence (lngSeed = 0)

  returns a KRandomSequence instance
  Argument | Type | Default
  --- | --- | ---
  lngSeed | long | 0

- KRandomSequence (a)

  returns a KRandomSequence instance
  Argument | Type | Default
  --- | --- | ---
  a | KRandomSequence |

- getBool ()

  returns (bool)

- getDouble ()

  returns (double)

- getLong (max)

  returns (ulong)
  Argument | Type | Default
  --- | --- | ---
  max | ulong |

- modulate (i)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  i | int |

- randomize (list)

  Not Implemented

- setSeed (lngSeed = 1)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  lngSeed | long | 1